

=============================================================================
=============================================================================
DisplayLink Software Release: External Release Note
Software Package: DisplayLink Graphics
Version: 5.2.21675.0
Date: 14th October 2009
=============================================================================
=============================================================================
A. Introduction
===============
This is the R5.2 Product Release. It has completed system test and is suitable
for deployment to end-users.

DisplayLink Software Release 5.2 delivers the following features:
- 27 supported languages
- Microsoft Windows 7 support
  - WDDM 1.1 support
  - Windows Display Properties and Windows+P key compatibility
  - Device Folder support
  - Launch Windows Display Properties on DisplayLink device first connect
  - Windows Update installation
  - Small DL-GUI
  - Windows Update upgrade mechanism

For further support and information about DisplayLink software, please visit
http://www.displaylink.com/support


B. Contents
===========
A. Introduction
B. Contents
C. New features
D. How to Install
E. How to Use
E1. General Troubleshooting
F. Supported Operating Systems
G. PC Minimum Specifications
H. Language Support
I. Supported Hardware
J. Summary of Software State and Issues - Installer and Auto-update
K. Notes on Windows 7/Vista Modes
L. Summary of Software State and Issues - Windows 7/Vista WDDM
L1. Windows WDDM graphics card support
L2. Normal use
L3. Video players, rendering technologies and applications
M. Summary of Software State and Issues - Vista XDDM, XP, 2K
M1. Normal use
M2. Video players, rendering technologies and applications
N. Driver qualification information


C. New features
===============
DisplayLink Software Release 5.2 delivers the following features:
- 27 supported languages
- Microsoft Windows 7 support
  - WDDM 1.1 support
  - Windows Display Properties and Windows+P key compatibility
  - Device Folder support
  - Launch Windows Display Properties on DisplayLink device first connect
  - Windows Update installation
  - Small DL-GUI
  - Windows Update upgrade mechanism

27 supported languages
----------------------
R5.2 adds support for the following languages, on all supported OSes:
  - Arabic
  - Bahasa Indonesian
  - Bulgarian
  - Croatian
  - Czech
  - Danish
  - Finnish 
  - Greek
  - Norwegian
  - Slovak
  - Slovenian
  - Swedish
  - Turkish
Please refer to section H for the complete list of supported languages.

Windows 7 Support
-----------------
R5.2 is based on a substantially re-architected codebase, that provides full 
support for Windows 7.

WDDM 1.1 Support
----------------
Windows Display Driver Model (WDDM) is the graphic driver architecture for
video card drivers running Microsoft Windows 7 and Vista. WDDM provides the
functionality required to render the desktop and applications using Desktop
Window Manager.  R5.2 supports the original 1.0 as well as the new 1.1 driver
model for Windows 7.

Windows Display Properties and Windows+P key compatibility
----------------------------------------------------------
On Windows 7, the configuration of a DisplayLink device is now achieved through
the use of Windows Display Properties (WDP).  The WDP provides the user with a
simple method to attach, rotate or duplicate screens as well as modify screen
resolution.  WDP is accessed by right-clicking on the desktop and choosing
"Screen Resolution". It can also be accessed through Device Folder (Devices and
printers on the start menu), right click the DisplayLink device and choose
"Display Settings".  The DL-GUI is no longer used for display configuration,
and no longer has such menu items.

Using Windows+P in Windows 7, a simple interface to control the attached
screens can be accessed.  This will allow a user to display on the computer
only (Disconnect Projector), Duplicate, Extend, or display on the attached
screen only (Projector Only).  

Device Folder Support
---------------------
Windows 7 has introduced a new folder accessible on the Start menu named the
"Devices and Printers" folder, through which users can see all the devices that
are connected to their PC. Basic support via the device folder for DisplayLink
units has been implemented (i.e. ability to access WDP, Properties).

Launch Windows Display Properties on DisplayLink device first connect
---------------------------------------------------------------------
On Windows 7, to aid quick configuration, WDP is shown whenever a DisplayLink 
device is connected to a machine for the first time.

Windows Update installation
---------------------------
R5.2 can be installed and updated using the improved Windows Update mechanism 
on Windows 7.

Small DL-GUI
------------
Windows 7's Windows Display Properties dialogs and Windows-P capability remove
the need for proprietary display configuration. Accordingly, the DL-GUI for
Windows 7 does not include any display configuration options. Instead, it makes
available some global options such as 'optimise for video' and 'check for
updates'.

Windows Update upgrade mechanism
--------------------------------
DisplayLink software periodically checks on Windows Update for updated software
and informs the user if there is any. It checks after each reboot. The check
occurs only on Windows 7 installations.


D. How to Install
=================
Important note: if you are installing several devices, make sure that each is
fully installed and showing an image before attaching the next.

Important note: On Windows XP on some hardware configurations the DisplayLink
Software installer may reboot the system without warning the user. (6287)

Important note: after uninstalling the DisplayLink software a reboot is
required before installing the same or a different version of the software.
Upgrading the software will require a reboot only when necessary. (5329)

Users who have v3.x, R4.1 and R4.2 DisplayLink software installed in Add/Remove
Programs must uninstall it before installing this release. Old devices will
continue working after this release is installed.

Corporations can apply for a corporate install version at 
www.displaylink.com/corporateinstall

Software-first install
----------------------
- Unzip the release package
- Run 'setup.exe'
- Once installation is complete, attach a DisplayLink device / screen to the PC
  and wait for it to come up.

Hardware-first install from Windows Update
------------------------------------------
- Connect the DisplayLink device
- On XP: 
  - When the 'Found New Hardware' wizard pops up select 'Install the software
    automatically' 
  - Click 'next' when the 'Install software for your device' dialog is shown
- On Vista: 
  - Select 'Locate and install driver software' when 'Found New Hardware' 
    wizard pops up
- On Windows 7 no action is needed
- Wait for the installation to complete and the attached screen to come up.

Hardware-first install from release package (.zip)
--------------------------------------------------
- Unzip the release package to a convenient place,
- Connect the DisplayLink device
- Point the 'New Hardware Found' wizard at the unzipped release package.

Hardware-first install from CD
------------------------------
- Put the CD into the PC's drive
- Connect the DisplayLink device / screen
- Point the 'New Hardware Found' wizard at the CD drive.

Uninstalling the Release
------------------------
- Go to 'Add or Remove Programs' dialog box (Windows XP or 2K)
- Go to 'Uninstall a Program' or 'Programs and Features' dialog box
  (Windows 7/Vista)
- Select the customer product you installed
- Choose 'Remove'.


E. How to Use
=============
DisplayLink screens can run in the following modes:

- extend mode: the screen is part of the extended desktop
- mirror mode: the screen copies the contents of the primary screen
- off mode: the screen is black.
- main display mode: the screen is the primary screen
- notebook monitor off: the notebook screen is black and the DisplayLink screen
  is the primary screen

Display modes can be controlled through the Windows Display Properties dialog 
box (WDP) or through the DisplayLink GUI (DL-GUI) where supported.

DisplayLink Manager GUI (System Tray Icon)
------------------------------------------
This is an icon in the systray that looks like a monitor. Click on the icon to
bring up the menu.
On Windows Vista / XP/ 2K you can control
  - screen resolution
  - colour quality
  - rotation
  - mode (extend, mirror, off, dock) 
  - extend position (right, left, above, below)
  - turn off your notebook monitor
  - auto-update configuration
  - software updates 
  - optimize for video playback setting 
  - display configuration opening Windows Display Properties
On Windows 7 you can
  - manually check for newer software
  - optimize the software for video playback
  - access Windows Display Properties to configure displays

At present the full DisplayLink GUI is not supported on Windows 7, however a
limited GUI is provided for convenient access to essential utilities. Displays
Configuration on Windows 7 should be carried out using the improved Windows
Display Properties dialog box, and using the Windows-P key combination.

Windows Display Properties (WDP)
--------------------------------
To open WDP on Windows XP / 2K
  - right-click on the desktop
  - select 'Properties' from the context menu
  - go to the Settings tab

To open WDP on Windows Vista
  - right-click on the desktop
  - select 'Personalize' from the context menu
  - click on Display Settings link

To open WDP on Windows 7
  - right-click on the desktop
  - select 'Screen Resolution' from the menu
OR
via Device Folder 
  - select Start menu,
  - Devices and Printers, 
  - right click the DisplayLink icon and choose "Display Settings".

To open WDP from DL-GUI
  - bring up the DL-GUI menu
  - click 'Advanced...'

With WDP you can control
  - screen resolution
  - colour quality
  - extend position
  - primary screen
  - refresh rate
  - whether the device is enabled (= part of the extended desktop) or not 
    (= mirror or off mode).
Additional controls are available in Windows 7:
  - orientation (Portrait, landscape, rotated portrait, rotated landscape)

Windows+P Control (Windows 7)
-----------------------------
To control the behaviour of an attached DisplayLink device (or screen), it is
possible to use Windows Key+P to display a menu (and cycle through it) to 
allow:
  - Disconnect projector
  - Duplicate
  - Extend
  - Projector Only


E1. General Troubleshooting
---------------------------
Minor issues can generally be resolved by
  - detaching and reattaching the DisplayLink device
  - changing the display mode via the DisplayLink GUI, or
  - changing the display mode via Windows Display Properties.

On Windows 7/Vista WDDM (Aero and Basic): DisplayLink software works closely 
with the graphics card and there may be interoperability issues with some 
graphics cards. If this happens,
(1) try to upgrade to the latest graphics drivers
(2) try to upgrade to latest DisplayLink software
(3) report the issue via your support channel
(4) if necessary, boot into Safe Mode and use Windows' Backup and Restore
    Center to recover.

For further support and information about DisplayLink software, please visit 
http://www.displaylink.com/support


F. Supported Operating Systems
==============================
This release supports the following operating systems (server editions are not
supported unless explicitly stated):

    - Windows 2000 SP4
    
    - Windows XP SP2
    - Windows XP SP3
    
    - Windows Vista SP1 (32-bit and 64-bit editions)
    - Windows Vista SP2 (32-bit and 64-bit editions)
    
    - Windows 7 (32-bit and 64-bit editions)
    
Video: video is supported in extend mode with most popular video players on
Windows XP and Windows 7/Vista in WDDM/Aero Mode. Video support is limited in
other configurations including mirror mode and Windows 7/Vista Basic Mode.


G. PC Recommended Specifications
================================
DisplayLink software can be run on PCs ranging from Netbooks,
Notebooks/Laptops, and Desktops - on processors ranging from Atom N270 based
PCs, basic single Core CPUs, and of course the latest Dual and Quad Core CPUs.

DisplayLink screens are not supported on systems with two graphics cards used
simultaneously (supporting separate screens, or in ATI Crossfire
configuration). Two graphics cards in Nvidia SLI configuration are supported
but not on Windows 7. (1704, 4441, 6064)

The performance of the software is dependent upon the processing power 
available, and so more capable systems offer higher performance.

Recommended typical system requirements are:

Windows 7/Vista
---------------
For Windows Vista, the Windows Experience Index (WEI) is a useful measure of
hardware level. The WEI is accessible from Computer->Properties or from 
Control Panel->System.
For more information please visit http://windowshelp.microsoft.com/windows/
en-us/help/0fee4637-8b21-41f1-87f6-66d2205420d61033.mspx

The recommended typical hardware requirements for the PC are

* WEI score of at least 3.0 in the 'Graphics; Desktop performance for Windows 
  Aero' category.
* Recommended: WEI score of at least 3.0 overall, as recommended by Microsoft.
* For full-screen video playback the recommended hardware depends on the 
  display resolution:
    * 1366x768: overall WEI score of at least 3.5.
    * 1920x1080 (HD): overall WEI score of at least 4.0 and a modern GPU (GPU 
      introduced to the market after 2H'08 or top-of-the-line GPU introduced in
      2008).
* At least one USB 2.0 port.
* 30 megabytes (MB) of free disk space.
* Computer screen for use with the DisplayLink device, if it is not integrated.
* Network access for software downloads, or access to a CD-ROM drive.

If the PC specification is below this, performance will be lower (or CPU 
loading higher).

Windows XP/2000
---------------
* For 1-2 monitors, business usage, productivity target. This may not provide 
  full frame rate DVD playback at full screen.
  - 1.2GHz Single Core CPU (Celeron or Atom N270 for example)
  - 512MB memory

* For 3 monitors where 1 could run DVD video while also targeting productivity 
and business apps. Will support only 1 video of DVD resolution at full screen:
  - 1.6GHz CPU
  - 1GB memory

* For 6 screens where 1 screen can run full screen DVD video:
  - 1.8GHz Core Duo
  - 1GB memory


H. Language Support
===================
DisplayLink software is localised in the following languages:

- English
- French
- German
- Dutch
- Italian
- Spanish
- Portuguese
- Polish
- Hungarian
- Russian
- Traditional Chinese
- Simplified Chinese
- Japanese
- Korean
- Arabic
- Bahasa Indonesian
- Bulgarian
- Croatian
- Czech
- Danish
- Finnish 
- Greek
- Norwegian
- Slovak
- Slovenian
- Swedish
- Turkish


I. Supported Hardware
=====================
- DL115 / DL125 / DL165 / DL195 devices are supported.
- DL120 / DL160 devices are supported.
- Earlier devices are supported for backwards compatibility.

This package supports up to 6 devices.



J. Summary of Software State and Issues - Installer and Auto-update
===================================================================
The installer and auto-update function, if enabled, work on all supported 
operating systems, both hardware-first and software-first.

Known issues

On Windows XP on some hardware configurations the DisplayLink Software
installer may reboot the system without warning the user. (6287)

If you attach a new DisplayLink device, allow software to start installing,
then cancel the install part way through, hardware-first install may no longer
work. To complete the install, it may be necessary to run setup.exe directly.
(1573)

Virus checkers set to very high security may prevent the installer from
running. They should be set to lower security during installation and restored
to high security once installation is complete. (935)

When installing, make sure that only a single user is logged into the PC. That
user needs administrator privileges. (1112)

On Windows 2000, DisplayLink software fails to install on PCs where Service
Pack 4 was installed before installing a MUI pack. This is a Windows issue -
see Microsoft Knowledge Base article 263212. To work round this problem, go to
Control panel, Regional Options, select the General tab and change the Menus
and Dialog combo box to English. You will need to log off, and log back on.
Install DisplayLink software, and then set the language settings back to their
original settings. (1010)

On Windows XP, very occasionally, the DisplayLink devices might not work after
installing the DisplayLink drivers using the 'Update driver' function in Device
Manager or using Windows Update. Rebooting solves the issue. (5369)

On Vista WDDM, the machine may drop to basic mode when a new DisplayLink screen
is connected. This is because of Vista's normal performance calculation when
new screens are attached. Aero mode can be restored through Control Panel ->
Windows Colour and Appearance -> Open classic appearance properties for more
colour options -> Windows Aero. (2069)

The Corporate installer is not yet available for R5.2. (5885)

Some installer and GUI strings are not yet localised in all languages. (5810)

Hardware First installation won't install the DisplayLink device manufacturer
specific packages. To install these packages please install using Setup.exe.
(6177) 

On Windows XP, very occasionally, a DisplayLink device may fail to show any
image after installation. Rebooting will solve the problem. (6439)


K. Notes on Windows Vista Modes
===============================
Normally, Windows Vista is in WDDM mode. In this mode, Vista graphics drivers
are used, and the Vista Aero Glass and Vista Basic themes are available.

Windows Vista PCs whose graphics drivers are not Windows Vista native will run
in XDDM (XP-Compatible) mode. In this mode, the 3D Aero Glass theme is not
available. This mode will be limited to PCs that were upgraded from XP to Vista
and PCs with low-end graphics cards.

DisplayLink software supports both modes in different ways, and the level of
support and issues are different in the two cases.


L. Summary of Software State and Issues - Windows 7/Vista WDDM
==============================================================
L1. Windows 7/Vista WDDM graphics card support
----------------------------------------------

Because of restrictions in Windows WDDM support for graphics cards, the
DisplayLink software works closely with the graphics drivers for the PC's
graphics card. This software supports interworking with single graphics cards
from Intel, ATI, Nvidia and Via.

The following GPU configurations are currently unsupported on Windows 7, and on
Windows Vista may exhibit compatibility issues in certain circumstances:
- Switchable Graphics (ATI/Intel)
- SLI in SLI mode

The following GPU configurations are currently unsupported and will not
function on Windows 7/Vista:
- Hybrid Graphics
- Hybrid SLI
- Hybrid Crossfire
- Crossfire
- SLI not in SLI mode 
- Multiple WDDM 1.1 graphics drivers active at once

DisplayLink cannot exclude severe problems in the case of graphics cards or
driver versions that have not been interoperability tested with DisplayLink
software. Should such problems arise,

- First, upgrade to the latest graphics drivers for your PC. Latest drivers can
be found on the PC manufacturer's or graphics card manufacturer's website as
well as Windows Update.

- Second, upgrade to the latest DisplayLink software available for your device.
To find and download latest software use 'Check now...' from the DisplayLink
GUI , visit www.displaylink.com or use Windows Update.

- If this does not help, please inform your DisplayLink device manufacturer's
support line. Please give these details:
  + PC make, CPU and memory
  + graphics card make, model and driver version.

DisplayLink is improving its support for multiple graphics adapter PCs and will
include improved support in future versions of the DisplayLink software.


Known Issues - General
----------------------
DisplayLink screens are not supported on systems with two graphics cards used
simultaneously (supporting separate screens, or in ATI Crossfire
configuration). Two graphics cards in Nvidia SLI configuration are supported
but not on Windows 7. (1704, 4441, 6064)

DisplayLink software is currently compatible with Intel/ATI switchable graphics
architectures on Windows Vista (with limited testing). Nvidia switchable
graphics platforms are not supported yet. (3068)

DisplayLink software may cause blue screens on software configurations where
WDDM drivers from different manufacturers have been installed on the same
system, even if just one graphics card is present. (4323)

On Vista WDDM, TMM does not appear when DisplayLink screens are attached. It
works normally when no DisplayLink screens are attached. (2569)

On some systems with switchable graphics architectures a maximum of 3
DisplayLink screens is supported when in High Performance GPU mode. (4459)

On a switchable graphics machine with DisplayLink software installed do not
change the bios settings to ATI only or Intel only. If you need to change those
BIOS settings please first uninstall the DL software, then reinstall it once
the new settings have been applied. (4339, 4506)

On Vista WDDM, very occasionally, if the DisplayLink screen is primary with the
main screen off, then the DisplayLink screen flashes continuously when resuming
from hibernation. To cure the problem, detach and re-attach the DisplayLink
screen. To prevent the problem, set the PC to require a password when coming
out of hibernation. (2835)

On Vista WDDM, very occasionally, if the DisplayLink screen is primary with the
main screen off, then both the main and DisplayLink screens may show corruption
when resuming from hibernation. To cure the problem, enable and disable the
main screen. (3219)

On windows7/Vista WDDM aero, DisplayLink software can cause some PCs to become
more susceptible to TDRs (Timeout Detection and Recovery). More info at
http://www.microsoft.com/whdc/device/display/wddm_timeout.mspx. Suggested
workarounds are (1) upgrade to the latest drivers for the native graphics card;
(2) increase TDR timeouts as described in the linked article. (3217)

Corruption can sometimes be seen around the mouse pointer on rotated
DisplayLink screens. (5564)

(Vista and Windows7) Some GPUs do not have enough resources to work with more
than three DisplayLink screens in aero mode. This may cause intense flickering,
failure to apply mode changes, or in some cases video failing to play. If this
occurs switch the system to operate in basic mode. (5705, 5704)

On Windows 7 using WDDM1.1 graphics drivers, connecting a DisplayLink screen
occasionally causes the wallpaper to become black on some screens. Changing the
wallpaper or changing the desktop layout in some cases solves the issue. (5514)

On some configurations, using more than 3 DisplayLink screens might cause some
DisplayLink screens to show corrupt or missing graphics. Detaching and
reattaching the screens should cure the problem. (4747, 4835)


Known Issues - Intel GMA Integrated Graphics
--------------------------------------------
Some older versions of Intel GMA drivers will cause corruption on the
DisplayLink screen. The solution is to upgrade them to version 7.14.10.1111 or
later.  This is with Vista WDDM. (2164)

On Vista WDDM systems with Intel 945GM graphics and with graphics driver
versions around 7.14.10.1461 and 7.14.10.1504, playing a video on a DisplayLink
attached screen can cause the whole system to run very slow. A reboot is needed
to resolve this. To avoid the problem, do not play video on such DisplayLink
screens, or downgrade the graphics drivers. (3076)

On Vista WDDM, some computers with Intel graphics reset DisplayLink screens
from extend to mirror when coming out of sleep. A workaround is to disable the
Intel persistence application, by removing
HKLM\Software\Microsoft\Windows\CurrentVersion\Run\Persistence (The normal
value would be C:\windows\system32\igfxpers.exe). (2546)

Vista WDDM Aero is not currently supported on Intel GMA 500 graphics chipsets:
DisplayLink software may cause blue screens on such systems. Please switch to
Basic mode before using DisplayLink devices with Intel GMA 500 hardware. (5192)

Intel 915 chipset:  Intel do not provide a WDDM driver for this chipset.
DisplayLink hardware will not operate correctly without a WDDM 1.0 or higher
driver.


Known Issues - ATI graphics
---------------------------
The ATI Catalyst Control Center is a tool provided by ATI to control ATI
graphics cards. In the presence of DisplayLink attached screens, some parts of
the tool, such as its adjustments submenu, do not work. This is on all OSes.
(1596)

Some versions of the ATI Catalyst Control Center crash or show errors in the
presence of DisplayLink software. This has been observed with versions since
ATI driver version 8.360. This can cause problems when a screen is attached to
the PC. To work around the problem, uninstall the ATI Catalyst Control Center.
(4897, 6216)

On Vista WDDM with ATI graphics, the ATI External Event Utility can interfere
with remembered settings for DisplayLink screens. To avoid this, disable the
ATI External Event Utility as follows: Navigate to Control Panel -> System and
Maintenance -> Administrative Tools -> Services: Ati External Event Utility and
change the startup type to Disabled. (2674)

On Windows 7 in basic mode with ATI graphics, with when a DisplayLink and a
directly attached screen are both connected, it may not be possible for the
laptop screen to extend one of the other screens. (5903, 5915)

On Windows 7, the early drivers for the AMD codename Tigris platform can show
corruption once the DisplayLink driver is installed. Later drivers might solve
the issue. (6014)


Known Issues - Nvidia graphics
------------------------------
On Vista WDDM, Nvidia driver versions earlier than 7.15.10.7500 or 7.15.11.7500
exhibit slowness on DisplayLink screens on some PCs. To fix this, please
upgrade to more recent Nvidia graphics drivers. (2282)

With Vista, a maximum of four DisplayLink screens are supported on machines
with Nvidia graphics. In certain rare cases, exceeding this has been seen to
cause repeated serious crashes. (1781)

On Vista WDDM, older versions of Nvidia drivers with versions prior to
7.15.11.146 can behave badly in the presence of DisplayLink software. For
instance they can cause blue screens when applications are maximised on
DisplayLink screens. Also, if DisplayLink devices are attached or detached
during restart, it may be necessary to press the reset button on the PC to
restore normal functioning. (2119)

On Vista WDDM, Nvidia 5 series graphics cards with driver version 7.15.10.9685
cause rundll32 crash messages in the presence of DisplayLink software. If you
have such a card, please update to a more recent graphics driver version.
(3077)

On some Nvidia SLi systems, it is not possible to enable or disable SLi mode
while a DisplayLink screen is attached. (3147)

Triple SLi systems are not supported. (3146)


L2. Normal use
--------------
System behaviour with DisplayLink attached screens has been well tested.
Testing covers plug/unplug, mode changes, playing video, hibernate,
sleep/standby, multiple users, different user rights, attached screen as
primary screen, attached screen as only screen, and other aspects.

There are many minor issues. General recommendations if something goes wrong:

- detach then reattach the DisplayLink device's USB cable
- change display settings using DL-GUI (Vista only)
- change display settings using WDP.


Known Issues - Hibernate / sleep / monitor power save / screensavers
--------------------------------------------------------------------
On Vista, very occasionally, DisplayLink devices fail to resume from
hibernation or sleep. This is due to issues in the Vista USB subsystem. Hotfix
http://support.microsoft.com/kb/941600 should help. This is believed to be
fixed in Vista Service Pack 1. (2126)

On Vista WDDM, DisplayLink attached screens can be slow when resuming from
hibernation or sleep. This is a Vista problem and is believed to be improved in
Vista Service Pack 1. (2165)

On all OSes, the desktop background is occasionally missing after restart or
after resume from sleep or hibernation. The screens are still usable, and the
background can be set again to the desired picture. (2154, 2072)

On all OSes, detaching or attaching DisplayLink attached screens while a
screensaver is running may cause strange effects. Sometimes it is necessary to
detach and reattach the DisplayLink attached screen after exiting the
screensaver. (1984)

3D screensavers do not run well on DisplayLink devices and can cause flicker
and/or decreased graphics performance. This is on all OSes. (1150, 1177, 4426)

Known Issues - Other
--------------------
In PowerPoint, the "Display slide show on:" menu has a bug which means that it
does not work when there are gaps in the numbering of enabled displays (as
shown in WDP). Users of PowerPoint 2007 can get round this by using "Show
presentation on:" in the ribbon, rather than the "Set up slide show" box.
(2337)

CRT monitors may show speckles at very high resolutions. This is because the
DisplayLink device cannot always support the high pixel clock required with
high CRT refresh rates. (2155)

After a reboot, the numbers used in Windows Display Properties to identify the
attached screens may change. This is normal. (596)

When using a display in mirror mode, changing the rotation setting can cause
the display to go into extend mode. Setting the display back to mirror mode
will show the correct rotation. (2261)

Occasionally, on rotating a DisplayLink screen the monitor may freeze, change
resolution or go black. This is most likely if several screens are attached. To
recover, detach and reattach the DisplayLink screen. (4061)

After installing the DisplayLink software on a tablet PC, the pen calibration
software may not work correctly. Rebooting solves the issue. (4448)

On some configurations with many DisplayLink screens, the screens may take tens
of seconds to display an image after connection, and to move windows after
disconnection. (4852)

Occasionally, Windows will recognise that a DisplayLink screens has been
disconnected after a long delay. (4852)

On ATI graphics, function key enabled display layout utilities may not work
correctly when the DisplayLink software is installed. (4964)

On a very small number of systems, a DisplayLink device might not work
correctly after having been quickly disconnected and reconnected. A reboot is
necessary to recover. To avoid the issue, wait a few more seconds before
reconnecting the device. (5471)

Occasionally, on Windows 7 desktop settings are not restored if multiple
DisplayLink devices are attached at the same time. The consequence is that one
of the DisplayLink screens may be black, or in the wrong display mode. If this
happens, set the display mode via WDP or Windows-P. (5908, 5444)

On all OSes, occasionally, when DisplayLink devices are detached, they take a
long time to disappear from the USB device list. During this time, any windows
on them remain on them and must be retrieved by selecting 'move' from their
taskbar menus. (5137)

On all OSes we have seen a few instances of DisplayLink-attached screens
occasionally going black during normal use. They can be brought back by
changing resolution.

Some strings are not yet localised for all languages (5810).

When the power options for lid closure are set to 'Do nothing', closing and
reopening the lid while a DisplayLink screen is connected to a laptop may cause
the built-in screen to remain black. If this happens, please use the
DisplayLink GUI or Windows Display Properties to re-enable the built-in screen.
(5247)


L3. Video players, rendering technologies and applications
----------------------------------------------------------
Applications, including the Desktop Windows Manager, use the DirectX 9 rather
than DirectX 10 interface in the presence of DisplayLink software on Windows 7.

Video is supported on Windows 7/Vista in extend mode in WDDM (Aero) mode. Video
playing and rendering using hardware overlays is not supported. The following
players are tested by DisplayLink:

- Windows Media Player 11 (www.microsoft.com/windows/windowsmedia/default.mspx)
- WinDVD 8 (www.intervideo.com)
- PowerDVD 7 (www.cyberlink.com)
- RealPlayer 11 (www.real.com).

This table shows what rendering interfaces are supported:

Interface             Supported on Vista WDDM Aero?

DxVA                  Yes, if supported by the GPU
D3D                   Yes, but not if the DisplayLink screen is primary
DirectDraw            Yes
OpenGL                Yes, but not full screen, windowed only
GDI+                  Yes, but not full screen, windowed only


On Windows 7/Vista WDDM Basic, video is not supported. It may work in some
cases but exhibits poor performance. It may stop working after an update from
Windows Update that affects the graphics subsystem. (2028)

On Windows 7/Vista WDDM (Aero) Mode in mirror mode, video support is limited:
some players may show errors, stop playing or show corruption. (6238)

On all platforms, depending on the player, there may be problems if the video
window is moved between screens while video is running. It may be necessary to
close and restart the video player.

With Vista WDDM, on some lower-spec PCs, videos on DisplayLink attached screens
pause frequently for several seconds at a time. This is because there is
insufficient system performance to display video smoothly. (1798)


Known Issues - General
----------------------
Don't change the logged-on user or the display mode, position or arrangement of
attached screens while a video is running. This usually confuses the video
player and it may stop playing and/or show corruption on screen. (1982, 4435,
5260)

On Vista WDDM, video players sometimes use hardware overlays to display video.
DisplayLink software does not support hardware overlays and these videos do not
display on DisplayLink screens. Examples: PowerDVD 7 uses overlays when playing
DVDs and so cannot display DVDs on DisplayLink screens. vlc can be configured
to use overlays and will not work on DisplayLink screens if so configured.
(1807)

On Vista WDDM, some graphics-intensive applications use the GDI or OpenGL
interfaces. On DisplayLink attached screens, such applications can display in a
window but not full screen. Examples of such applications are Starcraft, Quake
3. Also, video players such as Windows Media Player, WinDVD fail to play in
full screen mode on DisplayLink screens on some PCs. (1655, 2134)

On Vista WDDM, applications such as games that use Direct3D will not display on
a DisplayLink attached screen that is set to primary. (1815)

Some players, including Windows Media Player, do not play DVD content well on
DisplayLink attached screens which are set as primary. (2084)

On Vista in Basic mode, video will not play on DisplayLink screens after
installation until the PC is rebooted. In Aero mode no reboot is needed before
video will play. (4432)

Under Windows 7 with an Nvidia display adapter, Google Earth (or other OpenGL
application) may result in a system error or corruption of the DisplayLink
device display (5656)

On Windows 7/Vista WWDM, video players might fail to play video on a 
DisplayLink screen, showing a 'digital copy protection' error. (4920, 6037)

When the 'Optimize for Video' option is activated and only part of the
DisplayLink screen is showing video, part of the screen might be intermittently
shown with a low level of detail. To recover, make sure the video is playing in
full screen mode (6095).


Known issues with specific players and applications
---------------------------------------------------
On Vista WDDM, if Windows Media Player is moved to the DisplayLink screen and
is then made full-screen, the screen blanks.  To get out of this situation,
either double click on the blank screen and the player window is restored to
non-full screen mode, or right click on the blank screen to invoke the player
context menu and select exit full screen. (2032)

On Vista WDDM, if WinDVD is asked to play High-Definition content on a
DisplayLink screen, the content will not display and the player may crash. This
is because the player uses hardware overlays, which are not supported by
DisplayLink software. (1986)

On Vista WDDM, if PowerDVD 7 is playing video on a DisplayLink attached screen,
and if the screen is rotated, then PowerDVD 7 crashes. The workaround is to
apply rotation to the screen before launching PowerDVD 7. (2013)

On Vista 64-bit WDDM, dragging a WinDVD 9 playing video window between screens
may cause the video or the user interface to freeze. To recover, detach and
reattach the DisplayLink screen(s). (5258)


M. Summary of Software State and Issues - Vista XDDM, XP, 2K
============================================================
M1. Normal use
--------------
XDDM mode on Vista 64-bit is not supported. Please upgrade your graphics card
driver to the latest native Vista version available.

System behaviour with up to three DisplayLink attached screens has been well
tested. Testing covers plug/unplug, mode changes, playing video, hibernate,
sleep/standby, multiple users, different user rights, attached screen as
primary screen, attached screen as only screen, and other aspects.

There are many annoyances and intermittent issues. General recommendations when
something goes wrong:
  - try detaching then reattaching the DisplayLink device's USB cable
  - try changing its display settings using the DisplayLink GUI or the Windows
    Display Properties dialog box.


Known issues - hibernate / sleep / monitor power save / screensavers
--------------------------------------------------------------------
On all OSes, the desktop background is occasionally missing after restart or
after resume from sleep or hibernation. The screens are still usable, and the
background can be set again to the desired picture. (2154, 2072)

On all OSes, detaching or attaching DisplayLink attached screens while a
screensaver is running may cause strange effects. Sometimes it is necessary to
detach and reattach the DisplayLink attached screen after exiting the
screensaver. (1984)

3D screensavers do not run well on DisplayLink devices and can cause flicker
and/or decreased graphics performance. This is on all OSes. (1150, 1177, 4426)

3D screensavers are not displayed on DisplayLink screens that are rotated in
portrait mode. (5076)

When the machine is set to ask for a password after standby / sleep / hibernate
/ screensaver etc, sometimes the login screen displays on all attached screens
and sometimes it displays on a single screen only.

Windows Presentation Foundation based applications may show corruption or
flashing on DisplayLink screens when opened. See
http://en.wikipedia.org/wiki/Windows_Presentation_Foundation for details of WPF
based applications. (4825, 4931)

There is an incompatibility on Windows XP between DisplayLink drivers and older
drivers for ASIX USB to Ethernet devices, which are included in some USB
docking stations. If you have problems in connecting/disconnecting DisplayLink
devices please make sure you have installed version 3.4.3.29 or later of the
ASIX drivers for your USB to Ethernet devices. (5433)

On a very small number of systems, a DisplayLink device might not work
correctly after having been quickly disconnected and reconnected. A reboot is
necessary to recover. To avoid the issue, wait a few more seconds before
reconnecting the device. (5471)

On all OSes, occasionally, when DisplayLink devices are detached, they take a
long time to disappear from the USB device list. During this time, any windows
on them remain on them and must be retrieved by selecting 'move' from their
taskbar menus. (5137)

On all OS's we have seen a few instances of DisplayLink-attached screens
occasionally going black during normal use. They can be brought back by
changing resolution.

Some strings are not yet localised for all languages (5810).


Known issues - Windows 2000
---------------------------
Installation of DisplayLink driver on Windows 2000 SP4 requires patch SP4
Rollup 1. This is available from www.microsoft.com. See Microsoft Knowledge
Base article KB891861.

It is important to check in Windows 2000 that full USB2 is available, otherwise
performance will be impaired. To do this, look in Device Manager under
Universal Serial Bus Controllers for an item called "USB 2.0 Root Hub". If it
is not there then performance will be USB1. (1188)

On Windows 2000, when many devices are attached to the PC and the PC is
hibernated then woken up, not all the devices come back to life immediately. It
is occasionally necessary to detach and reattach the USB connection to a device
to coax it back to life. (1293, 1302)

On a Windows 2000 system where only a DisplayLink screen is enabled, locking
the screen and then disconnecting it could cause all the other screens to
remain unusable. Reconnecting the DisplayLink screen solves the issue. (4501)

Foreign language support on Windows 2000 has not been fully tested.

Layout information (enabled/extending/primary) for the main screen is sometimes
lost after reboot. The layout can be restored using the Windows Display
Properties dialog box. (4636)


Known issues - other
--------------------
When fast user switching to an user account without administrative privileges
and then logging off, the DisplayLink screens may go black. (4446)

In PowerPoint, the "Display slide show on:" menu has a bug which means that it
does not work when there are gaps in the numbering of enabled displays (as
shown in WDP). Users of PowerPoint 2007 can get round this by using "Show
presentation on:" in the ribbon, rather than the "Set up slide show" box.
(2337)

CRT monitors may show speckles at very high resolutions. This is because the
DisplayLink device cannot always support the high pixel clock required with
high CRT refresh rates. (2155)

The ATI Catalyst Control Center is a tool provided on machines with ATI
graphics cards for managing extra screens. Some versions of this tool crash in
the presence of DisplayLink software. This has been observed with versions
since ATI driver version 8.360. The workaround is to uninstall the ATI Catalyst
Control Center. (2054)

After a reboot, the numbers used in Windows Device Properties to identify the
attached screens may change. This is normal. (596)

On Windows XP, very occasionally, a 'The system cannot write to the specified
device' warning may be displayed after changing the display mode several times
(e.g. Extend/Dock mode) from the DisplayLink GUI. If this happens, detach and
reattach the devices to restore normal operation. (4991)


M2. Video players, rendering technologies and applications
----------------------------------------------------------
On Vista XDDM, video support is very limited. With extended screens, video or
DVD playback are not supported in general.  Exceptions: PowerDVD7 and Quicktime
are able to display video on a DisplayLink attached display, so long as that
display is the primary display. Video is not supported in clone mode. It works,
but exhibits poor performance. (1495)

On XP, video support is limited to players that support hardware overlays. In
extend mode, the following media players work:

- Windows Media Player 11 (www.microsoft.com/windows/windowsmedia/default.mspx)
- WinDVD 8 (www.intervideo.com)
- PowerDVD 7 (www.cyberlink.com)
- RealPlayer 11 (www.real.com)

There is limited support for other video players, and for video in mirror mode.

This table shows what rendering interfaces are supported:

Interface             Supported on XP extend?

DxVA                  No
D3D                   No
DirectDraw            Yes
OpenGL                No
GDI+                  No


On all platforms, depending on the player, there may be problems if the video
window is moved between screens while video is running. It may be necessary to
close and restart the video player.


Known issues - general
----------------------
Don't change the logged user or the display mode, position or arrangement of
attached screens while a video is running. This usually confuses the video
player and the video may stop playing. (1982)

Some players, including Windows Media Player, do not play well on DisplayLink
attached screens which are set as primary. (2084)

DVD movies will not play back if they are dragged to an extended DisplayLink
screen while running. They play OK if the player starts up on the extended
screen. (no bug number)

On Windows 2000, video playing is not supported. (2708)

Known issues with specific players and applications

Windows Media Player sometimes fails to play DVDs on extended screens on
Windows XP. The workaround is to switch off VMR in WMP. (3884)

RealPlayer does not play DVDs on extended or mirrored screens on Windows XP.
This is the case whether the extra screens are DisplayLink screens or directly
attached. (2802)

Skype video is believed to be unreliable with Vista. It may cause crashes (no
bug number).

Skype video does not work on DisplayLink screens with Windows XP. This is
because Skype video uses VMR9, which is supported by DisplayLink software on
Vista WDDM, but not on Vista XDDM or on XP. Trying to use Skype video on XP may
cause black screens or freeze the DisplayLink attached screen. (1651)

Blu-ray playback is not supported on DisplayLink screens. Players may crash or
behave erratically when trying to play Blu-ray content on a DisplayLink screen.
(3785, 5257)

When using a display in mirror mode, changing the rotation setting can cause
the display to go into extend mode. Setting the display back to mirror mode
will show the correct rotation. (2261)

Occasionally, on rotating a DisplayLink screen the monitor may freeze, change
resolution or go black. This is most likely if several screens are attached. To
recover, detach and reattach the DisplayLink screen. (4061)

On Windows XP PowerDVD 8 (and Windows Media Player when using the PowerDVD 8
codecs) refuses to play DVDs on Nivo displays. Other media files play
correctly. (6259)

On Windows XP in a few software configurations Windows Media Player may not
correctly play DVDs on DisplayLink displays, eventually showing a 'digital
copyright protection' error. Other media files play correctly. (5276)



N. Driver qualification information
===================================
The following DisplayLink driver components included in this release have been
qualified and signed by Microsoft's Windows Quality Labs (WHQL) with the
specified submission identification number:

ID 1363285 - usb-v5.2.21555.0
ID 1363371 - dlkmd-v5.2.21555.0
ID 1348134 - dlkmdldr-v5.2.20852.0
ID 1361476 - mirror-v5.2.21416
ID 1361472 - extend-v5.2.21416
ID 1321659 - filter-5.0.17276.0
ID 1327231 - composite-v5.0.18212.0

      